Subject: Why we stopped our communication? I expected more, Olga!

From: [email-masked]
Date: Sat, 27 Mar 2010 18:20:22 +0800

I want you now, tell me reciprocate and get me! http://dey921.spaces.live.com